﻿@model InternetShopWebProject.Common.Models.IndexPageModel

<link href="~/Content/Home-page.css" rel="stylesheet" type="text/css" />

<div class="content">
    @Html.Partial("_LeftBarPartial", Model.SelectedMenu)
    <div style="width:80%">
        <div class="productarea">
            @if (Model.Stickers.Count == 0)
            {
                <img src="~/Content/Image/EmptyState.png" />
            }
            else
            {
                foreach (var keyValue in Model.Stickers)
                {
                    @Html.Partial("_StickerCardPartial", keyValue);
                }
            }
        </div>
        <nav aria-label="Page navigation example">
            <ul class="pagination justify-content-center">
                @for (int i = 0; i <= Model.TotalPages; i++)
                {
                    var currentPage = Model.Page == i ? "disabled" : "";
                    <li class='page-item @currentPage'>
                        @Html.ActionLink((i + 1).ToString(), "Index", "Home",
                            new
                            {
                                typeId = Model.SelectedMenu.SelectedTypeId,
                                categoryId = Model.SelectedMenu.SelectedCategoryId,
                                page = i,
                            },
                            new { @class = "page-link" }
                        )
                    </li>
                }
            </ul>
        </nav>
    </div>
</div>

